## dhis-server 5.1

=== Makefile ===
# -
# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#      DHIS(c)  Dynamic Host Information System Release 5.1

CC=gcc
CFLAGS=-Wall -Wformat -I/usr/local/include # -DDONT_FORK
LFLAGS=-L/usr/local/lib 
CP=cp

INSTALLDIR=/etc/dhis/bin
MODE=700
OWNER=root
MKDIR=mkdir -p
CHOWN=chown
CHMOD=chmod

# For System V (Solaris) uncomment -lnsl and -lsocket

LIBS=-lgmp # -lnsl -lsocket
OBJS=log.o network.o misc.o db.o online.o service.o main.o
RM=rm -f

all: dhisd genkeys

dhisd:	$(OBJS)
	$(CC) $(LFLAGS) -o dhisd $(OBJS) $(LIBS)
	strip dhisd

genkeys:
	$(CC) $(CFLAGS) $(LFLAGS) genkeys.c -DQRC=1 -o genkeys -lgmp

install: dhisd genkeys
	$(MKDIR) $(INSTALLDIR)
	$(CP) dhisd genkeys $(INSTALLDIR)
	$(CHOWN) $(OWNER) $(INSTALLDIR)/dhisd $(INSTALLDIR)/genkeys
	$(CHMOD) $(MODE) $(INSTALLDIR)/dhisd $(INSTALLDIR)/genkeys

clean:
	$(RM) *.core core genkeys dhisd *.o *~
