## dhis-server 5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -
-# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
+# Copyright (c) 1998-2005 Joao Cabral
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -23,7 +23,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-#      DHIS(c)  Dynamic Host Information System Release 5.1
+#      DHIS(c)  Dynamic Host Information System Release 5
 
 CC=gcc
 CFLAGS=-Wall -Wformat -I/usr/local/include # -DDONT_FORK
@@ -37,9 +37,9 @@
 CHOWN=chown
 CHMOD=chmod
 
-# For System V (Solaris) uncomment -lnsl and -lsocket
+# For System V (Solaris) uncomment -lnd -lsocket
 
-LIBS=-lgmp # -lnsl -lsocket
+LIBS=-lgmp 
 OBJS=log.o network.o misc.o db.o online.o service.o main.o
 RM=rm -f
